Bug 1565399 - [GSS] geo-rep in faulty session due to OSError: [Errno 95] Operation not supported
Summary: [GSS] geo-rep in faulty session due to OSError: [Errno 95] Operation not supp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
: 1611838 (view as bug list)
Depends On: 1567209
Blocks: 1503138 1577845
TreeView+ depends on / blocked
 
Reported: 2018-04-10 00:31 UTC by Oonkwee Lim_
Modified: 2018-09-12 06:58 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.12.2-9
Doc Type: Bug Fix
Doc Text:
Previously, if symlinks were created by a non-privileged user pointing to current directory on the master volume, geo-replication failed to sync them to slave. Instead of setting the permissions on the symlink, it used to dereference the symlink pointing to the virtual directory ".gfid" and failed with "Operation not supported" error. With this fix, geo-replication does not dereference symlink while setting permissions on file and syncs symlinks created by non-privileged user pointing to the current directory.
Clone Of:
: 1567209 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:46:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:47:43 UTC

Comment 31 Srijita Mukherjee 2018-09-03 15:45:27 UTC
have updated the doc text. Kindly review and confirm

Comment 34 errata-xmlrpc 2018-09-04 06:46:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607

Comment 35 Olek Toborek 2018-09-11 12:45:35 UTC
*** Bug 1611838 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.